This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 02:35
Elapsed6m50s
Revision
Builder3bbd4466-72f8-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/aac1681d-77d2-4d6b-9d1e-0b28148cddf6/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/aac1681d-77d2-4d6b-9d1e-0b28148cddf6/targets/test
infra-commit28188a571

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 02:35:51.967] process 29 exited with code 0 after 0.0m
I0331 02:35:51.968] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 02:35:51.968] Root: /workspace
I0331 02:35:51.968] cd to /workspace
I0331 02:35:51.968] Configure environment...
I0331 02:35:51.968] Call:  git show -s --format=format:%ct HEAD
W0331 02:35:51.972] fatal: not a git repository (or any of the parent directories): .git
I0331 02:35:51.972] process 42 exited with code 128 after 0.0m
W0331 02:35:51.972] Unable to print commit date for HEAD
I0331 02:35:51.973] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 02:35:52.463] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 02:35:53.362] process 43 exited with code 0 after 0.0m
I0331 02:35:53.362] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 02:42:31.802]     self.send(msg)
W0331 02:42:31.802]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 02:42:31.802]     self.connect()
W0331 02:42:31.803]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 02:42:31.803]     conn = self._new_conn()
W0331 02:42:31.803]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 02:42:31.803]     self, "Failed to establish a new connection: %s" % e
W0331 02:42:31.803] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fa338e653c8>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 02:42:31.803] 
W0331 02:42:31.804] During handling of the above exception, another exception occurred:
W0331 02:42:31.804] 
W0331 02:42:31.804] Traceback (most recent call last):
W0331 02:42:31.804]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 02:42:31.804]     timeout=timeout
W0331 02:42:31.804]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 02:42:31.804]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 02:42:31.805]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 02:42:31.805]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 02:42:31.805] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fa338e653c8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 02:42:31.805] 
W0331 02:42:31.805] During handling of the above exception, another exception occurred:
W0331 02:42:31.805] 
W0331 02:42:31.806] Traceback (most recent call last):
W0331 02:42:31.806]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 02:42:31.806]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 02:42:31.808]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 02:42:31.808]     resp = self.send(prep, **send_kwargs)
W0331 02:42:31.808]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 02:42:31.809]     r = adapter.send(request, **kwargs)
W0331 02:42:31.809]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 02:42:31.809]     raise ConnectionError(e, request=request)
W0331 02:42:31.809] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fa338e653c8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 02:42:31.809] Traceback (most recent call last):
W0331 02:42:31.809]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 02:42:31.810]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 02:42:31.810]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 02:42:31.810]     check(*cmd)
W0331 02:42:31.810]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 02:42:31.810]     subprocess.check_call(cmd)
W0331 02:42:31.810]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 02:42:31.810]     raise CalledProcessError(retcode, cmd)
W0331 02:42:31.811] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 02:42:31.811] Command failed
I0331 02:42:31.811] process 251 exited with code 1 after 6.6m
E0331 02:42:31.811] FAIL: metrics-kettle
I0331 02:42:31.812] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 02:42:32.303] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 02:42:32.912] process 255 exited with code 0 after 0.0m
I0331 02:42:32.912] Call:  gcloud config get-value account
I0331 02:42:33.778] process 267 exited with code 0 after 0.0m
I0331 02:42:33.779] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 02:42:33.779] Upload result and artifacts...
I0331 02:42:33.779] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244815558872928256
W0331 02:42:33.779] Missing local artifacts : /workspace/_artifacts
W0331 02:42:33.779] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 02:42:33.779] metadata not found or invalid, init with empty metadata
I0331 02:42:33.780] Call:  git rev-parse HEAD
W0331 02:42:33.786] fatal: not a git repository (or any of the parent directories): .git
E0331 02:42:33.786] Command failed
I0331 02:42:33.786] process 280 exited with code 128 after 0.0m
I0331 02:42:33.786] Call:  git rev-parse HEAD
I0331 02:42:33.790] process 281 exited with code 0 after 0.0m
I0331 02:42:33.791] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 02:42:35.196] process 282 exited with code 0 after 0.0m
I0331 02:42:35.197] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585618902179465'
... skipping 8 lines ...